
Ruby - Bug #13445

MinGW, GIT, revision.h, vcs.rb

04/17/2017 09:39 PM - MSP-Greg (Greg L)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.5.0dev (2017-04-17 trunk 58383)

[x64-mingw32]

Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4:

UNKNOWN

Description

When generating a MinGW build from a local repo, the revision.h file does not exist, and is create by tool/file2lastrev.rb which

requires tool/vcs.rb.

On windows/MinGW, one often needs to specify a git.exe location, which can be done using the --with-git= configure option, created

via win32/configure.bat.  This setting is not picked up via vcs.rb.

See GitHub PR #1557

Adds the following code to the top of vcs.rb

# If specified in configure options, adds git location to PATH for MinGW builds

if (t = ENV['GIT']) && File.exist?(t)

  ENV['PATH'] = "#{File.dirname(t)}#{File::PATH_SEPARATOR}#{ENV['PATH']}"

end

History

#1 - 04/17/2017 09:42 PM - MSP-Greg (Greg L)

PR is 1587, but link is correct...

#2 - 04/18/2017 03:35 AM - MSP-Greg (Greg L)

Please close.

I fixed the issue based on looking into tool/vsc.rb only where my error was.

Nobu fixed the issue based on everywhere in the file it should be changed. See svn 58387 or commit 2103197

Thank you.

#3 - 04/18/2017 03:55 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Closed
https://github.com/ruby/ruby/blob/trunk/tool/file2lastrev.rb
https://github.com/ruby/ruby/blob/trunk/tool/vcs.rb
https://github.com/ruby/ruby/blob/trunk/win32/configure.bat
https://github.com/ruby/ruby/pull/1587
https://github.com/ruby/ruby/blob/2103197ccebe4f6efea1e4160d46471396507d6b/tool/vcs.rb
https://github.com/ruby/ruby/commit/2103197ccebe4f6efea1e4160d46471396507d6b
